Bug 1883674 - wrong image on master branch manifests
Summary: wrong image on master branch manifests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node Feature Discovery Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Zvonko Kosic
QA Contact: Walid A.
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-29 20:11 UTC by Carlos Eduardo Arango Gutierrez
Modified: 2020-10-27 15:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 15:12:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-nfd-operator pull 88 0 None closed Bug 1883674: Replace operand image 2020-11-04 20:22:47 UTC
Red Hat Product Errata RHBA-2020:4198 0 None None None 2020-10-27 15:12:57 UTC

Description Carlos Eduardo Arango Gutierrez 2020-09-29 20:11:36 UTC
Description of problem:

On master branch, current manifests of NFD point to 'quay.io/zvonkok/node-feature-discovery:v4.0' NFD Operand image. manifest should point to `quay.io/openshift/origin-node-feature-discovery:4.6` official build image 

files with wrong image
- assets/node-feature-discovery/05-nfd-daemonset.yml
- manifests/0600_operator.yaml
- manifests/0700_cr.yaml
- pkg/config/config.go
- test/e2e/e2e_test.go

Comment 2 Walid A. 2020-10-02 19:44:28 UTC
Verified on master branch.
# oc get pod -n openshift-nfd
NAME                            READY   STATUS    RESTARTS   AGE
nfd-master-7vckj                1/1     Running   0          3m10s
nfd-master-lgnwz                1/1     Running   0          3m10s
nfd-master-t8h5p                1/1     Running   0          3m10s
nfd-operator-6675c55666-jqckf   1/1     Running   0          3m25s
nfd-worker-8vvp7                1/1     Running   0          3m10s
nfd-worker-l7d2k                1/1     Running   0          3m10s
nfd-worker-mst5j                1/1     Running   0          3m10s

# oc describe pod -n openshift-nfd nfd-worker-8vvp7
Name:         nfd-worker-8vvp7
Namespace:    openshift-nfd
Priority:     0
Node:         ip-10-0-223-78.us-east-2.compute.internal/10.0.223.78
Start Time:   Fri, 02 Oct 2020 19:15:06 +0000
Labels:       app=nfd-worker
              controller-revision-hash=b8fd6897
              pod-template-generation=1
Annotations:  openshift.io/scc: nfd-worker
Status:       Running
IP:           10.0.223.78
IPs:
  IP:           10.0.223.78
Controlled By:  DaemonSet/nfd-worker
Containers:
  nfd-worker:
    Container ID:  cri-o://ba5546960eac442e2b84d164e754968ddc40ccd01f6a5ac800131c30eebeb54f
    Image:         quay.io/openshift/origin-node-feature-discovery:4.6
    Image ID:      quay.io/openshift/origin-node-feature-discovery@sha256:2036627ce510e427259e6174c0ad0c343e91a1a9bd29d26c5486c2732963e278
    Port:          <none>
    Host Port:     <none>
    Command:
      nfd-worker
    Args:
      --sleep-interval=60s
      --server=$(NFD_MASTER_SERVICE_HOST):$(NFD_MASTER_SERVICE_PORT)
    State:          Running
      Started:      Fri, 02 Oct 2020 19:15:15 +0000
    Ready:          True
    Restart Count:  0
    Environment:
      NODE_NAME:   (v1:spec.nodeName)
    Mounts:
      /etc/kubernetes/node-feature-discovery from config (rw)
      /etc/kubernetes/node-feature-discovery/features.d from nfd-features (rw)
      /etc/kubernetes/node-feature-discovery/source.d from nfd-hooks (rw)
      /host-boot from host-boot (ro)
      /host-etc/os-release from host-os-release (ro)
      /host-sys from host-sys (rw)
      /var/run/secrets/kubernetes.io/serviceaccount from nfd-worker-token-qj469 (ro)
Conditions:
  Type              Status
  Initialized       True 
  Ready             True 
  ContainersReady   True 
  PodScheduled      True 
Volumes:
  host-boot:
    Type:          HostPath (bare host directory volume)
    Path:          /boot
    HostPathType:  
  host-os-release:
    Type:          HostPath (bare host directory volume)
    Path:          /etc/os-release
    HostPathType:  
  host-sys:
    Type:          HostPath (bare host directory volume)
    Path:          /sys
    HostPathType:  
  nfd-hooks:
    Type:          HostPath (bare host directory volume)
    Path:          /etc/kubernetes/node-feature-discovery/source.d
    HostPathType:  
  nfd-features:
    Type:          HostPath (bare host directory volume)
    Path:          /etc/kubernetes/node-feature-discovery/features.d
    HostPathType:  
  config:
    Type:      ConfigMap (a volume populated by a ConfigMap)
    Name:      nfd-worker
    Optional:  false
  nfd-worker-token-qj469:
    Type:        Secret (a volume populated by a Secret)
    SecretName:  nfd-worker-token-qj469
    Optional:    false
QoS Class:       BestEffort
Node-Selectors:  node-role.kubernetes.io/worker=
Tolerations:     
                 node.kubernetes.io/disk-pressure:NoSchedule
                 node.kubernetes.io/memory-pressure:NoSchedule
                 node.kubernetes.io/network-unavailable:NoSchedule
                 node.kubernetes.io/not-ready:NoExecute
                 node.kubernetes.io/pid-pressure:NoSchedule
                 node.kubernetes.io/unreachable:NoExecute
                 node.kubernetes.io/unschedulable:NoSchedule
                 nvidia.com/gpu:NoSchedule
Events:
  Type    Reason     Age        From                                                Message
  ----    ------     ----       ----                                                -------
  Normal  Scheduled  <unknown>                                                      Successfully assigned openshift-nfd/nfd-worker-8vvp7 to ip-10-0-223-78.us-east-2.compute.internal
  Normal  Pulling    3m20s      kubelet, ip-10-0-223-78.us-east-2.compute.internal  Pulling image "quay.io/openshift/origin-node-feature-discovery:4.6"
  Normal  Pulled     3m12s      kubelet, ip-10-0-223-78.us-east-2.compute.internal  Successfully pulled image "quay.io/openshift/origin-node-feature-discovery:4.6" in 7.970749435s
  Normal  Created    3m12s      kubelet, ip-10-0-223-78.us-east-2.compute.internal  Created container nfd-worker
  Normal  Started    3m12s      kubelet, ip-10-0-223-78.us-east-2.compute.internal  Started container nfd-worker

Comment 5 errata-xmlrpc 2020-10-27 15:12:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.1 extras update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4198


Note You need to log in before you can comment on or make changes to this bug.